//
//  OneViewController.m
//  卡片效果
//
//  Created by 吴灶洲 on 2017/1/19.
//  Copyright © 2017年 吴灶洲. All rights reserved.
//

#import "OneViewController.h"
#import "ViewController.h"
#import "PlayViewController.h"

@interface OneViewController ()<UITableViewDelegate,UITableViewDataSource>

@end

@implementation OneViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    UITableView *tableView = [[UITableView alloc] initWithFrame:self.view.bounds style:UITableViewStyleGrouped];
    [tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:@"cell"];
    tableView.delegate = self;
    tableView.dataSource = self;
    [self.view addSubview:tableView];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return 2;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];
    if (indexPath.row == 0) {
        cell.textLabel.text = @"卡片";
    }else{
        cell.textLabel.text = @"播放视频";
    }
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    if (indexPath.row == 0) {
        ViewController *viewController = [[ViewController alloc]init];
        [self.navigationController pushViewController:viewController animated:YES];
    }else{
        PlayViewController *viewController = [[PlayViewController alloc]init];
        [self.navigationController pushViewController:viewController animated:YES];
    }
}

@end
